package net.common.model;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.CascadeType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.SequenceGenerator;

@Entity
@Table(name = "autos")
public class Auto
{
    @Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "users_seq")
	@SequenceGenerator(name = "users_seq", sequenceName = "SEQ_USER", allocationSize = 5)
    @Column(name = "aid")
	private Integer  id;

	@ManyToOne(fetch = FetchType.LAZY, cascade = CascadeType.ALL)
    @JoinColumn(name = "user_id")
    private User     user;

	@Column(name = "name")
	private String   name;

    public Auto() 
    {
		super();
	}
	public Auto(Integer id, User user, String name)
	{
		super();
		this.id = id;
		this.user = user;
		this.name = name;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public User getUser() {
		return user;
	}
	public void setUser(User user) {
		this.user = user;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String toString() {
		return "Auto {id = " + String.valueOf(id) + 
				   ", name = '" + name + 
				   ", user_id = " + user.getId() + "}";
	}	
}
