package net.common.model;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.SequenceGenerator;

@Entity
@Table(name = "USERS")
public class User 
{
    @Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "users_seq")
	@SequenceGenerator(name = "users_seq", sequenceName = "SEQ_USER", allocationSize = 5)
    @Column(name = "id", updatable = false, nullable = false)
    
    private Integer    id;
    private String     name;
	private String     login;
	
	@OneToMany(fetch = FetchType.LAZY, mappedBy = "user", cascade = CascadeType.ALL)
	private List<Auto> autos;

	public User() {}

	public User(Integer id, String login, String name)
	{
		super();
		this.id    = id;
		this.login = login;
		this.name  = name;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	@Column
	public String getLogin() {
		return login;
	}
	public void setLogin(String login) {
		this.login = login;
	}

	@Column (name="name", nullable=true)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

   	public List<Auto> getAutos() {
        return autos;
    }
    public void setAutos(List<Auto> autos) {
        this.autos = autos;
    }
    
	public String toString() {
		String cars = "";
		if ((autos != null) && (autos.size() > 0)) {
			for (int i = 0; i < autos.size(); i++) {
				if (i > 0)
					cars += ",";
				cars += autos.get(i).toString();
			}
		}
		return "User {id = " + String.valueOf(id) + 
				   ", login = '" + login + 
				   ", name = '" + name + "', autos =[" + cars + "]}";
	}
}
